=== debian/changelog ===
scipy (1.14.1-4ubuntu2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 20:13:13 +0000

scipy (1.14.1-4ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Disable LTO on ppc64el to avoid hang in test_nan_inputs

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Feb 2025 13:12:47 +0000

scipy (1.14.1-4) unstable; urgency=medium

  * skip special and stats complex number tests that fail with numpy 2
    on mips64el. See upstream Issue#21393. Closes: #1094477.

 -- Drew Parsons <dparsons@debian.org>  Thu, 30 Jan 2025 22:50:41 +1100

scipy (1.14.1-3ubuntu3) plucky; urgency=medium

  * Drop build-dependencies on matplotlib to break circular
    dependency while building the documentation on amd64

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Jan 2025 18:45:57 +0000

scipy (1.14.1-3ubuntu2) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Jan 2025 16:48:51 +0000

scipy (1.14.1-3ubuntu1) plucky; urgency=medium

  * Disable LTO on ppc64el to avoid hang in test_nan_inputs

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 19 Dec 2024 11:45:05 +0000

scipy (1.14.1-3) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Enable parallel building.

  [ Drew Parsons ]
  * hppa: skip test_QRVS_shape_consistency
    [1-d_out1-size_in4-size_out4-qrng1-NumericalInversePolynomial]
  * update debian patch manage_docs.patch to renable html_sidebars
    provided by python3-pydata-sphinx-theme

 -- Drew Parsons <dparsons@debian.org>  Mon, 02 Dec 2024 21:00:32 +0100

scipy (1.14.1-2) unstable; urgency=medium

  * add debian patches to manage multiple python versions
    - special_libsf_error_SOABI.patch builds libsf_error.so
      with the python platform compatibility tag ('SOABI') appended to
      the library name. libsf_error uses Python.h and is therefore not
      a pure standalone C library independent of python version.
      Removes need for dh_python3 --no-ext-rename.
    - scipy_config_SOABI.patch adds platform compatibility tag
      ('SOABI') to __config__.py, which provides meson build
      information about the scipy build
  * debian patch scipy-ub-float-to-int.patch fixes undefined behaviour
    (UB) handling in expm for riscv64. Thanks Aurelien Jarno.
    Closes: #1086108.
  * python3-scipy Recommends: python3-pooch. Used by the datasets
    submodule. Closes: #1086956.

 -- Drew Parsons <dparsons@debian.org>  Fri, 22 Nov 2024 00:37:01 +0100

scipy (1.14.1-1exp1) experimental; urgency=medium

  * New upstream release.
    - applies debian patch
      0013-MAINT-Unskip-scipy.misc.test.test_decorator-for-Pyth.patch

 -- Drew Parsons <dparsons@debian.org>  Thu, 21 Nov 2024 15:09:56 +0100

scipy (1.13.1-6) unstable; urgency=medium

  * Team upload.
  * d/patches: update metadata.
  * Cherry-pick patch from upstream to fix the build with Python 3.13.
    Closes: #1081692

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 15 Nov 2024 00:59:00 +0100
