## scipy 1.15.2

=== debian/changelog ===
scipy (1.15.2-7) unstable; urgency=medium

  * hppa: skip another test_QRVS_shape_consistency

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Mar 2025 17:40:11 +0100

scipy (1.15.2-6) unstable; urgency=medium

  * hppa: skip another test_QRVS_shape_consistency
  * i386 with blis: skip test_size_0 not solve_continuous_lyapunov

 -- Drew Parsons <dparsons@debian.org>  Mon, 17 Mar 2025 14:27:06 +0100

scipy (1.15.2-5) unstable; urgency=medium

  * debian/tests: skip test_splu on i386 with blis

 -- Drew Parsons <dparsons@debian.org>  Sat, 15 Mar 2025 11:40:32 +0100

scipy (1.15.2-4) unstable; urgency=medium

  * debian/tests: skip solve_continuous_lyapunov on i386 with blis
  * alpha: skip test_eval_chebyt_gh20129, test_rvs_gh18372

 -- Drew Parsons <dparsons@debian.org>  Thu, 13 Mar 2025 18:23:36 +0100

scipy (1.15.2-3) unstable; urgency=medium

  * debian/tests: skip test_trcon on i386 with blis
  * alpha: skip test_hyp0f1 in special test_basic (segfaults)

 -- Drew Parsons <dparsons@debian.org>  Wed, 12 Mar 2025 16:32:21 +0100

scipy (1.15.2-2) unstable; urgency=medium

  * skip failing tests
    - powerpc/hppa: some TestCSCNonCanonical tests
    - hppa: selected landau tests

 -- Drew Parsons <dparsons@debian.org>  Mon, 10 Mar 2025 12:47:12 +0100

scipy (1.15.2-1exp7) experimental; urgency=medium

  * fix powerpc/hppa test skips

 -- Drew Parsons <dparsons@debian.org>  Fri, 07 Mar 2025 12:20:53 +0100

scipy (1.15.2-1exp6) experimental; urgency=medium

  * debian patch ndimage_segfault_filter_mirror_PR22608.patch applies
    upstream PR#22608 to fix a segfault in ndimage filtering in mirror
    mode. Needed for datalab to pass tests (#1098652). Closes: #1098652
  * skip failing tests
    - hurd: test_backend_plan (also requires threading)
    - powerpc: test_simple_det_shapes_real_complex,
      all test_dot in TestMikotaPair,
      various sparse matrix tests
    - apply all powerpc skips related to complex, 64-bit and sparse
      to hppa

 -- Drew Parsons <dparsons@debian.org>  Fri, 07 Mar 2025 10:51:12 +0100

scipy (1.15.2-1exp5) experimental; urgency=medium

  * fix powerpc int64 test skips
  * hurd: skip tests affected by incompatible threading module
  * skip failing tests
    - hppa: another test_QRVS_shape_consistency[*NumericalInversePolynomial]
    - hurd-i386: test_ignore_shape_range, test_QRVS_size_tuple

 -- Drew Parsons <dparsons@debian.org>  Tue, 04 Mar 2025 12:32:01 +0100

scipy (1.15.2-1exp4) experimental; urgency=medium

  * fix ppc64 test skips
  * skip more tests
    - mips64el: skip test_nan_array and more cases of
      test_axis_nan_policy_axis_is_None (upstream Issue#22360)
    - hppa: test_QRVS_shape_consistency[...NumericalInversePolynomial]
    - hurd-i386: test_setting_loc_scale
    - powerpc: skip tests involving 64-bit (or 128-bit) numbers
    - sparc64: skip special test_extending.py::test_cython

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Feb 2025 21:55:15 +0100

scipy (1.15.2-1exp3) experimental; urgency=medium

  * python3-scipy Recommends: python3-yaml.
    The stdout mode will give more readable output if `pyyaml`
    (yaml) is installed.
    - debian/tests Depends: python3-yaml
      (avoid test error due to pyyaml warning in stderr)
  * skip failing tests
    - riscv64 hppa sparc64: skip test_nan_inputs[sph_harm]
    - hurd-i386: test_domain_argus_large_chi
    - powerpc, ppc64: test_hyp0f1, test_eval_chebyt_gh20129endif
    - sparc64: cython (complex) and stats (nan) failing
      see https://github.com/scipy/scipy/issues/22577

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Feb 2025 11:21:46 +0100

scipy (1.15.2-1exp2) experimental; urgency=medium

  * debian/rules: drop special handling of libhighs.a, which is no
    longer installed by upstream (PR#22357)

 -- Drew Parsons <dparsons@debian.org>  Wed, 19 Feb 2025 23:35:33 +0100

scipy (1.15.2-1exp1) experimental; urgency=medium

  * New upstream release
    - applies debian patch spline_GCVSPL_enddian_PR22345.patch

 -- Drew Parsons <dparsons@debian.org>  Wed, 19 Feb 2025 21:41:46 +0100

scipy (1.15.1-1exp3) experimental; urgency=medium

  * extend test_nan_policy_array_22360.patch to all permutations of
    asanyarray() vs asarray(), np from numpy or scipy,
    axis=None, 0 or default (which should be None).

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 Jan 2025 12:51:00 +0100

scipy (1.15.1-1exp2) experimental; urgency=medium

  * debian/tests/python3: report system info and versions
    as required for upstream bug reports
  * report test durations (slowest 20) for build-time tests to
    identify slow tests (especially for hppa)
  * debian patch spline_GCVSPL_enddian_PR22345.patch applies upstream
    PR#22345 to prevent spline GCVSPL enddian failure
    (for s390x, powerpc, ppc64). See upstream issue #22361.
  * update manage_tests.patch to relax tolerance in special test
    TestHyp2f1.test_region3 case23 (for i386).
    See upstream Issue#22363.
  * debian patch test_nan_policy_array_22360.patch applies a test
    suggested upstream to help diagnose a problem with nan arrays
    in test_axis_nan_policy_axis_is_None[mixed-*-xp*] on mips64el.
    See upstream issue #22360.

 -- Drew Parsons <dparsons@debian.org>  Mon, 20 Jan 2025 22:58:50 +0100

scipy (1.15.1-1exp1) experimental; urgency=medium

  * New upstream release
    - update versioned Build-Depends: python3-pybind11 (>= 2.13.2~)
    - Build-Depends-Indep: python3-sphinx-copybutton,
      python3-jupytext <!nodoc>
    - applies debian patch fix_scipydoc_directive_PR20976.patch
      and quadpack_C_PR21201.patch
    - deprecates debian patch scipy-ub-float-to-int.patch
      (see upstream PR#21553)
  * update debian/copyright to add new or moved submodules
    - scipy/_lib/array_api_compat
      Copyright: 2022 Consortium for Python Data API Standards
      License: MIT
    - scipy/_lib/array_api_extra
      Copyright: 2024 Consortium for Python Data API Standards
      License: MIT
    - scipy/_lib/cobyqa

