=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: scipy
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>,
            Ondrej Certik <ondrej@certik.cz>,
            David Cournapeau <cournape@gmail.com>,
@@ -14,7 +13,6 @@
                gfortran,
                libblas-dev,
                liblapack-dev,
-               liblbfgsb-dev,
                libsuitesparse-dev,
                python3-mesonpy (>= 0.15.0~),
                pkgconf,
@@ -22,19 +20,23 @@
                python3-decorator,
                python3-numpy (>= 1:1.26.0~),
                python3-pooch,
-               python3-pybind11 (>= 2.12.0~),
+               python3-pybind11 (>= 2.13.2~),
                python3-setuptools,
                python3-wheel,
                python3-pythran (>= 0.15.0~),
                python3-pytest,
                python3-doit (>= 0.36.0~) <!nocheck>,
-               python3-hypothesis <!nocheck>
+               python3-hypothesis <!nocheck>,
+               python3-yaml
 Build-Depends-Indep: dvipng,
                      dh-sequence-sphinxdoc,
                      python3-doc <!nodoc>,
                      python3-docutils,
+                     python3-sphinx-copybutton <!nodoc>,
+                     python3-jupytext <!nodoc>,
                      python3-matplotlib,
                      python-matplotlib-doc <!nodoc>,
+                     python-mpmath-doc <!nodoc>,
                      python3-myst-nb <!nodoc>,
                      python-numpy-doc <!nodoc>,
                      python3-numpydoc <!nodoc>,
@@ -63,7 +65,8 @@
          ${shlibs:Depends}
 Recommends: g++ | c++-compiler,
             python3-pil,
-            python3-pooch
+            python3-pooch,
+            python3-yaml
 Suggests: python-scipy-doc
 Breaks: python3-skbio (<< 0.5.8-3~)
 Description: scientific tools for Python 3
